This topic describes how to install EventBridge SDK for TypeScript.

Prepare the environment

  1. Install Node.js 8.0 or later. For more information, see Install Node.js.

    You can run the node -v command to check the version of Node.js.

  2. Run the following command to install TypeScript globally:
    npm install -g typescript

Install the SDK

  1. Run the following command to install the SDK for TypeScript:
    npm install @alicloud/eventbridge -S
  2. Run the following command to install the output library for TypeScript:
    npm install @alicloud/tea-console -S